Edit

Background Jobs - Run On Demand Execute

Run on-demand DataBuildToolJob execute job instance.

Note

DataBuildToolJob item is currently in Preview (learn more).

Permissions

  • The caller must have a member or higher workspace role.

Required Delegated Scopes

Item.Execute.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/dataBuildToolJobs/{dataBuildToolJobId}/jobs/execute/instances

URI Parameters

Name In Required Type Description
dataBuildToolJobId
path True

string (uuid)

The DataBuildToolJob item ID.

workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
202 Accepted

Request accepted, job execution is in progress.


Headers:

Location string - The URL to the job instance resource.

Retry-After integer - The number of seconds the client should wait before polling the job status for the first time. Clients must use this value to determine when to check the job status and should wait at least this many seconds before the first status poll.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • MissingMinimalPermissions - The caller does not have sufficient permissions to run job instance.

  • InvalidJobType - The requested job type is invalid.

  • TooManyRequestsForJobs - The caller is making too many run on-demand job requests.

  • ItemNotFound - Requested item id not found.

Examples

Run DataBuildToolJob execute job instance example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/4b218778-e7a5-4d73-8187-f10824047715/dataBuildToolJobs/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7/jobs/execute/instances

Sample response

Location: https://api.fabric.microsoft.com/v1/workspaces/4b218778-e7a5-4d73-8187-f10824047715/dataBuildToolJobs/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7/jobs/execute/instances/f2d65699-dd22-4889-980c-15226deb0e1b
Retry-After: 60

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.